# Matrix Initialization

CMSIS-DSP: Matrix Initialization

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Matrix Initialization
Matrix Functions

## Functions

void | arm_mat_init_f16 (arm_matrix_instance_f16 *S, uint16_t nRows, uint16_t nColumns, float16_t *pData)
| Floating-point matrix initialization. More...
void | arm_mat_init_f32 (arm_matrix_instance_f32 *S, uint16_t nRows, uint16_t nColumns, float32_t *pData)
| Floating-point matrix initialization. More...
void | arm_mat_init_q15 (arm_matrix_instance_q15 *S, uint16_t nRows, uint16_t nColumns, q15_t *pData)
| Q15 matrix initialization. More...
void | arm_mat_init_q31 (arm_matrix_instance_q31 *S, uint16_t nRows, uint16_t nColumns, q31_t *pData)
| Q31 matrix initialization. More...

## Description

Initializes the underlying matrix data structure. The functions set the `numRows`, `numCols`, and `pData` fields of the matrix data structure.

## Function Documentation

void arm_mat_init_f16 | ( | arm_matrix_instance_f16 * | S,
|  | uint16_t | nRows,
|  | uint16_t | nColumns,
|  | float16_t * | pData
| ) |  |

Parameters

  [in,out] | S | points to an instance of the floating-point matrix structure
  [in] | nRows | number of rows in the matrix
  [in] | nColumns | number of columns in the matrix
  [in] | pData | points to the matrix data array

Returns
  none

void arm_mat_init_f32 | ( | arm_matrix_instance_f32 * | S,
|  | uint16_t | nRows,
|  | uint16_t | nColumns,
|  | float32_t * | pData
| ) |  |

Parameters

  [in,out] | S | points to an instance of the floating-point matrix structure
  [in] | nRows | number of rows in the matrix
  [in] | nColumns | number of columns in the matrix
  [in] | pData | points to the matrix data array

Returns
  none

void arm_mat_init_q15 | ( | arm_matrix_instance_q15 * | S,
|  | uint16_t | nRows,
|  | uint16_t | nColumns,
|  | q15_t * | pData
| ) |  |

Parameters

  [in,out] | S | points to an instance of the floating-point matrix structure
  [in] | nRows | number of rows in the matrix
  [in] | nColumns | number of columns in the matrix
  [in] | pData | points to the matrix data array

Returns
  none

void arm_mat_init_q31 | ( | arm_matrix_instance_q31 * | S,
|  | uint16_t | nRows,
|  | uint16_t | nColumns,
|  | q31_t * | pData
| ) |  |

Parameters

  [in,out] | S | points to an instance of the Q31 matrix structure
  [in] | nRows | number of rows in the matrix
  [in] | nColumns | number of columns in the matrix
  [in] | pData | points to the matrix data array

Returns
  none